RDKit::RGroupDecompositionParameters Struct Reference

`#include <RGroupDecomp.h>`

## Public Member Functions

| RGroupDecompositionParameters (unsigned int labels=AutoDetect, unsigned int strategy=GreedyChunks, unsigned int labelling=AtomMap|MDLRGroup, unsigned int alignment=MCS, unsigned int chunkSize=5, bool matchOnlyAtRGroups=false, bool removeHydrogenOnlyGroups=true, bool removeHydrogensPostMatch=true)
unsigned int | autoGetLabels (const RWMol &)
bool | prepareCore (RWMol &, const RWMol *alignCore)

## Public Attributes

unsigned int | labels
unsigned int | matchingStrategy
unsigned int | rgroupLabelling
unsigned int | alignment
unsigned int | chunkSize
bool | onlyMatchAtRGroups
bool | removeAllHydrogenRGroups
bool | removeHydrogensPostMatch

## Detailed Description

Definition at line 55 of file RGroupDecomp.h.

## Constructor & Destructor Documentation

## RGroupDecompositionParameters()

RDKit::RGroupDecompositionParameters::RGroupDecompositionParameters | ( | unsigned int | labels = `AutoDetect`,
|  | unsigned int | strategy = `GreedyChunks`,
|  | unsigned int | labelling = `AtomMap | MDLRGroup`,
|  | unsigned int | alignment = `MCS`,
|  | unsigned int | chunkSize = `5`,
|  | bool | matchOnlyAtRGroups = `false`,
|  | bool | removeHydrogenOnlyGroups = `true`,
|  | bool | removeHydrogensPostMatch = `true`
| ) |  |

inline

Definition at line 66 of file RGroupDecomp.h.

## Member Function Documentation

## autoGetLabels()

unsigned int RDKit::RGroupDecompositionParameters::autoGetLabels | ( | const RWMol & |  | ) |

## prepareCore()

bool RDKit::RGroupDecompositionParameters::prepareCore | ( | RWMol & | ,
|  | const RWMol * | alignCore
| ) |  |

## Member Data Documentation

## alignment

unsigned int RDKit::RGroupDecompositionParameters::alignment

Definition at line 59 of file RGroupDecomp.h.

## chunkSize

unsigned int RDKit::RGroupDecompositionParameters::chunkSize

Definition at line 61 of file RGroupDecomp.h.

## labels

unsigned int RDKit::RGroupDecompositionParameters::labels

Definition at line 56 of file RGroupDecomp.h.

## matchingStrategy

unsigned int RDKit::RGroupDecompositionParameters::matchingStrategy

Definition at line 57 of file RGroupDecomp.h.

## onlyMatchAtRGroups

bool RDKit::RGroupDecompositionParameters::onlyMatchAtRGroups

Definition at line 62 of file RGroupDecomp.h.

## removeAllHydrogenRGroups

bool RDKit::RGroupDecompositionParameters::removeAllHydrogenRGroups

Definition at line 63 of file RGroupDecomp.h.

## removeHydrogensPostMatch

bool RDKit::RGroupDecompositionParameters::removeHydrogensPostMatch

Definition at line 64 of file RGroupDecomp.h.

## rgroupLabelling

unsigned int RDKit::RGroupDecompositionParameters::rgroupLabelling

Definition at line 58 of file RGroupDecomp.h.

The documentation for this struct was generated from the following file:

- RGroupDecomp.h